// src/backend/python_policy_manager.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "python_policy_manager.hh"

using namespace sgpem;


//static object
PythonPolicyManager PythonPolicyManager::_instance(10);		//dummy parameter


PythonPolicyManager::PythonPolicyManager(int)			//private constructor. The parameter is discarded
{	
}

PythonPolicyManager&
PythonPolicyManager::get_instance()
{
	return _instance;
}

Policy*
PythonPolicyManager::get_policy()
{
	return &_python_policy;
}

void
PythonPolicyManager::init()
{
	Py_Initialize();
}


